/* Verhältnis der Bilder wird berrechnet. Für die Spalten werden breiten angeben. */

@referenz-list-image-height-proportion: @glossary-list-image-height / @glossary-list-image-width;
@referenz-list-grid-column-width-md: 465px;
@referenz-list-grid-column-width-sm: 355px;

@referenz-teaser-image-height-proportion: @glossary-teaser-image-height / @glossary-teaser-image-width;
@referenz-teaser-grid-column-width-md: 295px;
@referenz-teaser-grid-column-width-sm: 473px;

@referenz-detail-image-height-proportion: @glossary-detail-image-height / @glossary-detail-image-width;
@referenz-detail-grid-column-width-lg: 360px;
@referenz-detail-grid-column-width-md: 293px;



.tx-glossaries {
  .glossary-glossary-listitem {
    #areaTeaser {
      display: none;
    }
    .container {
      .header {
        text-align: center;
      }
      .row {  /**/
        margin-right: -5px;
        margin-left: -5px;
        > [class^="col-"],
        > [class*=" col-"] {
          padding-right: 5px;
          padding-left: 5px;
          padding-bottom: 10px;
          .glossary-glossary-ListItem {
            .glossary-list-cell {
              .glossary-link-wrapper {
                a {
                  display: block;
                  position: relative;
                  .glossary-image-thumbnail {
                    width: @glossary-list-image-width;
                    height: @glossary-list-image-height;
                    transition: transform 0.4s ease 0s;
                    -webkit-transition: transform 0.4s ease 0s;
                    img {
                      &.img-thumbnail {
                        border: none;
                        padding: 0;
                      }
                    }
                  }
                  .glossary-list-text {
                    background: @brand-primary;
                    padding: 14px 20px;
                    position: relative;
                    top: -5px;
                    height: 84px;
                    &:before {
                      background-color: inherit;
                      border-radius: 5px;
                      content: "";
                      display: block;
                      height: 24px;
                      left: 50%;
                      margin-left: -15px;
                      position: absolute;
                      top: -10px;
                      transform: rotate(45deg);
                      width: 24px;
                    }
                    .glossary-list-text-inner {
                      display: inline-block;
                      vertical-align: middle;
                      width: 100%;
                      h2 {
                        font-size: 20px;
                        color: darken(@text-color,15%);
                        text-align: center;
                        margin-bottom: 0;
                      }
                      .glossary-list-teaser-text,
                      .glossary-list-categories,
                      .glossary-list-tags {
                        display: none;
                      }
                    }
                  }
                  .glossary-select-for-pdf {
                    display: none;
                  }
                }
              }
              /* no-touch design [start] */
              .no-touch & {
                a {
                  overflow: hidden;
                  .glossary-list-text {
                    bottom: 20px;
                    height: auto;
                    left: 20px;
                    opacity: 0;
                    padding: 20px;
                    position: absolute;
                    right: 20px;
                    top: 20px;
                    .scale(0);
                    transition: transform 0.3s ease 0s, opacity 0.3s ease 0s;
                    -webkit-transition: transform 0.3s ease 0s, opacity 0.3s ease 0s;
                    &:before {
                      content: "";
                      display: inline-block;
                      height: 100%;
                      margin-left: -0.5em;
                      vertical-align: middle;
                      position: relative;
                      width: 0;                      
                    }
                    .glossary-list-text-inner {
                      display: inline-block;
                      vertical-align: middle;
                      width: 100%;
                      h2 {
                        font-size: 20px;
                        color: darken(@text-color,15%);
                        text-align: center;
                      }
                    }
                  }
                  &:hover {
                    .img-thumbnail {
                      .scale(1.1);
                    }
                    .glossary-list-text {
                      .scale(1);
                      opacity: 0.9;
                    }
                  }
                }
              }
              /* no-touch design [end] */
            }
          }
        }
      }
    }    
  }
  .glossary-glossary-show {
    .glossary-glossary-singleview {
      #areaTeaser {
        text-align: center;
        h1 {
          padding: 0 50px;
        }
        .glossary-navigation {
          a {      
            border-radius: 50%;
            border: 2px solid transparent;
            color: @headings-color;
            display: block;
            font-size: 30px;
            height: 50px;
            line-height: 50px;
            margin-top: -35px;
            position: absolute;
            text-align: center;
            top: 50%;
            -webkit-transition: color 0.15s ease 0s, box-shadow 0.15s ease 0s;
                    transition: color 0.15s ease 0s, box-shadow 0.15s ease 0s;
            width: 50px;
            &.next {
              right: 0;
              i {
                right: 35%;
              }
            }
            &.back {
              left: 0;
              i {
                left: 35%;
              }
            }
            &:hover {
              border: 2px solid @link-color;
              color: @link-color;
              i {
                color: @link-color;
              }
            }
            i {
              position: absolute;
              top: 20%;
            }
          }
        }
      }
      .glossary-image {
        .ftm-lightbox-imageonlywithslider {
          .ftm-lightbox-imagesonly {
            .make-row();
            a {
              .make-md-column(6);
              border: none;
              height: @referenz-detail-grid-column-width-lg * @referenz-detail-image-height-proportion;
              &.lightbox-link-inline {
                display: block !important;
                &[href$="_0"] {
                  height: auto;
                  width: 100%;
                }
              }
            }
          }
        }
      }
      .related-glossary {
        background-color: @gray-darker;
        margin-top: 5em;
        .header {
          padding-bottom: 5px !important;
          padding-top: 20px !important;
          &:before {
            background-color: darken(@gray-lighter,5%);
            content: "";
            display: table-cell;
            height: 100%;
            left: -50%;
            position: absolute;
            top: 0;
            width: 200vw;
          }
          h1 {
            color: #fff;
            text-align: center;
            position: relative;
          }
        }
        .related-glossary-inner {
          > [class^="col-"],
          > [class*=" col-"] {
            padding-right: 0;
            padding-left: 0;
            .glossary-glossary-teaserListItem {
              .glossary-list-cell {
                .glossary-link-wrapper {
                  a {
                    display: block;
                    position: relative;
                    .glossary-image-thumbnail {
                      /*width: @glossary-teaser-image-width;
                      height: @glossary-teaser-image-height - 1px;*/
                      margin: 0 auto;
                      transition: transform 0.4s ease 0s;
                      -webkit-transition: transform 0.4s ease 0s;
                      img {
                        &.img-thumbnail {
                          border: none;
                          padding: 0;
                        }
                      }
                    }
                    .glossary-teaser-list-text {
                      background: @brand-primary;
                      padding: 14px 20px;
                      position: relative;
                      height: 84px;
                      &:before {
                        background-color: inherit;
                        border-radius: 5px;
                        content: "";
                        display: block;
                        height: 24px;
                        left: 50%;
                        margin-left: -15px;
                        position: absolute;
                        top: -10px;
                        transform: rotate(45deg);
                        width: 24px;
                      }
                      .glossary-teaser-list-text-inner {
                        display: inline-block;
                        vertical-align: middle;
                        width: 100%;
                        h2 {
                          font-size: 20px;
                          color: darken(@text-color,15%);
                          text-align: left;
                          margin-bottom: 0;
                        }
                        .glossary-teaser-list-teaser-text {
                          display: none;
                        }
                      }
                    }
                  }
                }
                /* no-touch design [start] */
                .no-touch & {
                  a {
                    overflow: hidden;
                    .glossary-teaser-list-text {
                      bottom: 20px;
                      height: auto;
                      left: 20px;
                      opacity: 0;
                      padding: 20px;
                      position: absolute;
                      right: 20px;
                      top: 20px;
                      .scale(0);
                      transition: transform 0.3s ease 0s, opacity 0.3s ease 0s;
                      -webkit-transition: transform 0.3s ease 0s, opacity 0.3s ease 0s;
                      &:before {
                        content: "";
                        display: inline-block;
                        height: 100%;
                        margin-left: -0.5em;
                        vertical-align: middle;
                        position: relative;
                        width: 0;                      
                      }
                      .glossary-teaser-list-text-inner {
                        display: inline-block;
                        vertical-align: middle;
                        width: 100%;
                        h2 {
                          font-size: 20px;
                          color: darken(@text-color,15%);
                          text-align: left;
                        }
                      }
                    }
                    &:hover {
                      .img-thumbnail {
                        .scale(1.1);
                      }
                      .glossary-teaser-list-text {
                        .scale(1);
                        opacity: 0.9;
                      }
                    }
                  }
                }
                /* no-touch design [end] */
              }
            }
          }
        }
      }
    }
  }
}

/* until Large Devices, Wide Screens (1200px -1px) */
@media only screen and (max-width : @screen-md-max) {
  .tx-glossaries {
    .glossary-glossary-listitem {
      .container {
        .row {
          > [class^="col-"],
          > [class*=" col-"] {
            .glossary-glossary-ListItem {
              .glossary-list-cell {
                .glossary-link-wrapper {
                  a {
                    .glossary-image-thumbnail {
                      width: @referenz-list-grid-column-width-md;
                      height: @referenz-list-grid-column-width-md * @referenz-list-image-height-proportion;
                    }
                  }
                }
              }
            }
          }
        }
      }    
    }
    .glossary-glossary-show {
      .glossary-glossary-singleview {
        .glossary-image {
          .ftm-lightbox-imageonlywithslider {
            .ftm-lightbox-imagesonly {
              a {
                height: @referenz-detail-grid-column-width-md * @referenz-detail-image-height-proportion;
              }
            }
          }
        }
        .related-glossary {
          .related-glossary-inner {
            > [class^="col-"],
            > [class*=" col-"] {
              .glossary-glossary-teaserListItem {
                .glossary-list-cell {
                  .glossary-link-wrapper {
                    a {
                      .glossary-teaser-list-text {
                        height: 120px;
                        /* no-touch design [start] */
                        .no-touch & {
                          height: auto;
                        }
                        /* no-touch design [end] */
                      }
                    }
                  }
                }
              }
            }
          }
        }
      }
    }
  }
}

/* until Medium Devices, Desktops (992px - 1px)*/
@media only screen and (max-width : @screen-sm-max) {
  .tx-glossaries {
    .glossary-glossary-listitem {
      .container {
        .row {
          > [class^="col-"],
          > [class*=" col-"] {
            .glossary-glossary-ListItem {
              .glossary-list-cell {
                .glossary-link-wrapper {
                  a {
                    .glossary-image-thumbnail {
                      width: @referenz-list-grid-column-width-sm;
                      height: @referenz-list-grid-column-width-sm * @referenz-list-image-height-proportion;
                    }
                  }
                }
              }
            }
          }
        }
      }    
    }
    .glossary-glossary-show {
      .glossary-glossary-singleview {
        .glossary-image {
          .ftm-lightbox-imageonlywithslider {
            .ftm-lightbox-imagesonly {
              a {
                height: auto;
              }
            }
          }
        }
        .related-glossary {
          .related-glossary-inner {
            > [class^="col-"],
            > [class*=" col-"] {
              .glossary-glossary-teaserListItem {
                .glossary-list-cell {
                  .glossary-link-wrapper {
                    a {
                      .glossary-teaser-list-text {
                        height: 84px;
                        /* no-touch design [start] */
                        .no-touch & {
                          height: auto;
                        }
                        /* no-touch design [end] */
                      }
                    }
                  }
                }
              }
            }
          }
        }
      }
    }
  }
}

/* until Small Devices, Tablets  (768px - 1xp) */
@media only screen and (max-width : @screen-xs-max) {
  .tx-glossaries {
    .glossary-glossary-listitem {
      .container {
        .row {
          > [class^="col-"],
          > [class*=" col-"] {
            .glossary-glossary-ListItem {
              .glossary-list-cell {
                .glossary-link-wrapper {
                  a {
                    .glossary-image-thumbnail {
                      width: 100%;
                      height: auto;
                      img {
                        width: 100%;
                      }
                    }
                    .glossary-list-text {
                      height: 120px;
                    }
                  }
                }
              }
            }
          }
        }
      }    
    }
    .glossary-glossary-show {
      .glossary-glossary-singleview {
        .related-glossary {
          .related-glossary-inner {
            > [class^="col-"],
            > [class*=" col-"] {
              .glossary-glossary-teaserListItem {
                .glossary-list-cell {
                  .glossary-link-wrapper {
                    a {
                      .glossary-teaser-list-text {
                        height: 120px;
                      }
                    }
                  }
                }
              }
            }
          }
        }
      }
    }
  }
}

/* Extra Small Devices, Phones */ 
@media only screen and (max-width : 480px) {
  .tx-glossaries {
    .glossary-glossary-show {
      .glossary-glossary-singleview {
        .related-glossary {
          .related-glossary-inner {
            > [class^="col-"],
            > [class*=" col-"] {
               width: 100%;
              .glossary-glossary-teaserListItem {
                .glossary-list-cell {
                  .glossary-link-wrapper {
                    a {
                      .glossary-teaser-list-text {
                        height: auto;
                      }
                    }
                  }
                }
              }
            }
          }
        }
      }
    }
  }
}